
Ryzom - Bug # 853

Status: Closed Priority: High
Author: kervala Category: Services: General
Created: 05/08/2010 Assignee: kervala
Updated: 07/15/2010 Due date:
Subject: Compilation on 64-bits platforms
Description

std::min and std::max need parameters of the same type but on 64 bits platform, when comparing size_t and uint, since these
variables have not the same size, the compiler returns an error.

There may have other things to fix.

History
#1 - 05/10/2010 03:34 pm - ratmice
- File login-64.diff added

this patch fixes the crypt function to work on 64 bits,
it currently compiles, but without the defines, the output is somewhat random.

#2 - 05/10/2010 06:01 pm - vl
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r66.

#3 - 05/10/2010 06:01 pm - vl
- Assignee changed from kervala to vl
- Target version set to Version 0.8.0

#4 - 05/10/2010 06:02 pm - vl
- Status changed from Resolved to Assigned
- Assignee changed from vl to kervala

#5 - 05/10/2010 06:02 pm - kervala
- % Done changed from 100 to 50

#6 - 05/11/2010 11:31 am - kervala
- Status changed from Assigned to Validated
- Assignee deleted (kervala)

#7 - 06/12/2010 02:15 pm - kervala
- File deleted (login-64.diff)

#8 - 06/17/2010 11:04 pm - kervala
- % Done changed from 50 to 70
#9 - 06/19/2010 02:09 pm - kervala
- Status changed from Validated to Resolved
- Assignee set to kervala
- % Done changed from 70 to 100

#10 - 07/15/2010 04:13 pm - kervala
- Status changed from Resolved to Closed
